Bug 652508 (CVE-2010-4165) - CVE-2010-4165 kernel: possible kernel oops from user MSS
Summary: CVE-2010-4165 kernel: possible kernel oops from user MSS
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2010-4165
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20101110,reported=20101112,sou...
Depends On: 652509 652510 652511
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-12 05:06 UTC by Eugene Teo (Security Response)
Modified: 2019-06-08 18:40 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-29 13:18:28 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0283 normal SHIPPED_LIVE Moderate: kernel security, bug fix, and enhancement update 2011-02-22 17:38:22 UTC
Red Hat Product Errata RHSA-2011:0330 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2011-03-10 20:04:13 UTC

Description Eugene Teo (Security Response) 2010-11-12 05:06:06 UTC
With commit f5fff5dc8a7a3f395b0525c02ba92c95d42b7390, a user program
can pass in TCP_MAXSEG of 12 (or TCPOLEN_TSTAMP_ALIGNED), and cause
kernel oops with division by 0 in tcp_select_initial_window.

Proposed patch:
http://www.spinics.net/lists/netdev/msg146495.html

Reference:
http://www.spinics.net/lists/netdev/msg146405.html

Acknowledgements:

Red Hat would like to thank Steve Chen for reporting this issue.

Comment 3 Eugene Teo (Security Response) 2010-11-12 05:44:37 UTC
Statement:

This issue did not affect the versions of Linux kernel as shipped with Red Hat Enterprise Linux 4 and 5 as they did not backport the upstream commit that introduced the issue. This has been addressed in Red Hat Enterprise Linux 6 and Red Hat Enterprise MRG via https://rhn.redhat.com/errata/RHSA-2011-0283.html and https://rhn.redhat.com/errata/RHSA-2011-0330.html.

Comment 4 Eugene Teo (Security Response) 2010-11-22 06:18:02 UTC
Upstream commit:
http://git.kernel.org/linus/7a1abd08d52fdeddb3e9a5a33f2f15cc6a5674d2

Comment 5 errata-xmlrpc 2011-02-22 17:38:39 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0283 https://rhn.redhat.com/errata/RHSA-2011-0283.html

Comment 6 errata-xmlrpc 2011-03-10 20:04:33 UTC
This issue has been addressed in following products:

  MRG for RHEL-5

Via RHSA-2011:0330 https://rhn.redhat.com/errata/RHSA-2011-0330.html


Note You need to log in before you can comment on or make changes to this bug.